This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017400 - nonresponsive package maintainer for Scala; please respond [NEEDINFO]
nonresponsive package maintainer for Scala; please respond
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: scala (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Will Benton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 15:34 EDT by Will Benton
Modified: 2015-02-17 12:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:35:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
willb: needinfo? (geoff+fedora)
willb: needinfo? (geoff+fedora)


Attachments (Terms of Use)

  None (edit)
Description Will Benton 2013-10-09 15:34:23 EDT
Description of problem:

There are no Scala packages for F19 or later versions, either because of FTBFS issues or broken dependencies.

There are several issues preventing a straightforward build, including the absence of several test-suite dependencies and interface incompatibilities between current Scala releases (2.10.x) and contemporary JLine releases (v2.6+).

I have done some work to address these issues and get Scala building again (please see the v2.10.2-1 tag of https://github.com/willb/scala-packaging ).  It would be excellent if one of the existing Scala maintainers could incorporate these fixes and resume regular updates.
Comment 1 Will Benton 2013-10-09 15:38:43 EDT
(See also the SRPM available from http://freevariable.com/scala )
Comment 2 Jochen Schmitt 2013-10-12 10:24:33 EDT
Due the information provided in this bug report, I was able to create
an update to scala-2.10.3 for Rawhide, F20 and F10. As a co-maintainer
of this package I have submitted updates for F19 and F20 to bodhi.
Comment 3 Will Benton 2013-10-24 16:38:01 EDT
This is my second attempt to contact Geoff about this package.
Comment 4 Jochen Schmitt 2013-11-29 10:56:36 EST
I would like to ask about the state of the non-responsive maintainer process,
which was initiate by this bug. I may be nice, if we have an ordinary
primary maintainer for the scala package.

At last thsi is a pring to geoff to send us any sinn of response.
Comment 5 Fedora Admin XMLRPC Client 2014-09-25 08:02:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-01-09 15:11:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 12:35:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.